tpm_takeownership(8)

TPM Management - tpm_takeownership

NAME
tpm_takeownership - setup an owner on the TPM

SYNOPSIS
tpm_takeownership [OPTION]

DESCRIPTION

tpm_takeownership setup an owner on the system's TPM (via the TPM_TakeOwnership API). This operation requires the TPM to be enabled and can be restricted by tpm_setownable. The command will prompt for owner and SRK passwords and confirmations of these if executed without either of the -well-known options, otherwise, a secret of all zeros is set for the requested password. After the second confirmation, be patient as the command may take awhile.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-y, --owner-well-known
    Set a secret of all zeros (20 bytes of zeros) as the owner's secret.

-z, --srk-well-known
    Set a secret of all zeros (20 bytes of zeros) as the SRK secret.

SEE ALSO

tpm_version(1), tpm_setownable(8), tpm_setenable(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>